
import matplotlib.pyplot as plt
import numpy as np

#Get files to read assuming known format
files = []
for i in range(12):
    if i < 10:
        filename = "./binary/filename0000"+str(i)  
    elif i < 100:
        filename = "./binary/filename000"+str(i)  
    else:
        raise IndexError("filename00099 maximum supported")
    files.append(filename)

#Loop through files
for f in files:

    #Read data from files
    data = np.fromfile(open(f,'rb'), dtype='d')
    field = data.reshape(84, 50)

    #Plot data
    plt.imshow(field.T)
    plt.colorbar()
    plt.show()
