
#Read header data
def read_header(headername):
    header = {}
    f = open(headername)
    for l in f.readlines():
        key, value = l.split()
        #Reading mixed int/float, try and ask forgiveness...
        try:
            header[key] = int(value)
        except ValueError: 
            header[key] = float(value)
    return header

foldername = './binary/'
headername = 'header'
header = read_header(foldername + headername)

def test_header_contains_Nx():
    header = read_header('./binary/header')
    assert 'Nx' in header.keys()

def test_header_contains_Nz():
    header = read_header('./binary/header')
    assert 'Nz' in header.keys()

